Subject: Re: [PATCH] Make u64 long long on all architectures (was: the printk problem)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 22 Jul 2008 21:35:30 +1000

> 
> This is (IMO) a desirable change and will prevent a heck of a lot of
> goofing around, and will permit a lot of prior goofing around to
> be removed.
> 
> But I bet there are lots of instalces of printk("%l", some_u64) down in
> arch code where the type of u64 _is_ known which will now spew warnings.

Well, I'm about to call a big "warning fixing day" on the powerpc list,
I saw a few today when building a couple of configs and that hurts my
eyes so we may as well fold that in :-)

Cheers,
Ben.